<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::LightingPaletteDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogLightingPalette.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="20" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="20" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::LightingPaletteDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::LightingPaletteDialog"/>
			<ExtraConfig>
				<FreeLayout>
					<VirtualBox X="4" Y="4" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Width="30" Height="30" BGColor="#ff9b9b" ID="GK::ID_PALETTE_LightColorBox_0"/>
							<Label Width="30" Height="30" BGColor="#ffaf9b" ID="GK::ID_PALETTE_LightColorBox_1"/>
							<Label Width="30" Height="30" BGColor="#ffff78" ID="GK::ID_PALETTE_LightColorBox_2"/>
							<Label Width="30" Height="30" BGColor="#73ff73" ID="GK::ID_PALETTE_LightColorBox_3"/>
							<Label Width="30" Height="30" BGColor="#5affff" ID="GK::ID_PALETTE_LightColorBox_4"/>
							<Label Width="30" Height="30" BGColor="#af78ff" ID="GK::ID_PALETTE_LightColorBox_5"/>
							<Label Width="30" Height="30" BGColor="#ffffff" ID="GK::ID_PALETTE_LightColorBox_6"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="4" Y="35" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Width="30" Height="30" BGColor="#ff4b4b" ID="GK::ID_PALETTE_LightColorBox_7"/>
							<Label Width="30" Height="30" BGColor="#ff7d37" ID="GK::ID_PALETTE_LightColorBox_8"/>
							<Label Width="30" Height="30" BGColor="#ffd746" ID="GK::ID_PALETTE_LightColorBox_9"/>
							<Label Width="30" Height="30" BGColor="#00ff00" ID="GK::ID_PALETTE_LightColorBox_10"/>
							<Label Width="30" Height="30" BGColor="#0096ff" ID="GK::ID_PALETTE_LightColorBox_11"/>
							<Label Width="30" Height="30" BGColor="#913cff" ID="GK::ID_PALETTE_LightColorBox_12"/>
							<Label Width="30" Height="30" BGColor="#a0a0a0" ID="GK::ID_PALETTE_LightColorBox_13"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="4" Y="66" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Width="30" Height="30" BGColor="#ff0000" ID="GK::ID_PALETTE_LightColorBox_14"/>
							<Label Width="30" Height="30" BGColor="#ff5a00" ID="GK::ID_PALETTE_LightColorBox_15"/>
							<Label Width="30" Height="30" BGColor="#ffcd00" ID="GK::ID_PALETTE_LightColorBox_16"/>
							<Label Width="30" Height="30" BGColor="#009600" ID="GK::ID_PALETTE_LightColorBox_17"/>
							<Label Width="30" Height="30" BGColor="#0000ff" ID="GK::ID_PALETTE_LightColorBox_18"/>
							<Label Width="30" Height="30" BGColor="#6900ff" ID="GK::ID_PALETTE_LightColorBox_19"/>
							<Label Width="30" Height="30" BGColor="#5a5a5a" ID="GK::ID_PALETTE_LightColorBox_20"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="4" Y="97" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Width="30" Height="30" BGColor="#7d0000" ID="GK::ID_PALETTE_LightColorBox_21"/>
							<Label Width="30" Height="30" BGColor="#cd3200" ID="GK::ID_PALETTE_LightColorBox_22"/>
							<Label Width="30" Height="30" BGColor="#ff9b00" ID="GK::ID_PALETTE_LightColorBox_23"/>
							<Label Width="30" Height="30" BGColor="#006400" ID="GK::ID_PALETTE_LightColorBox_24"/>
							<Label Width="30" Height="30" BGColor="#000096" ID="GK::ID_PALETTE_LightColorBox_25"/>
							<Label Width="30" Height="30" BGColor="#3c0096" ID="GK::ID_PALETTE_LightColorBox_26"/>
							<Label Width="30" Height="30" BGColor="#000000" ID="GK::ID_PALETTE_LightColorBox_27"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="0" Y="130" Width="224" Height="25">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Text="Other" FontHeight="18" Width="224" Height="18" FGColor="#ffffff" ID="GK::ID_PALETTE_OtherColorLabel"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!--invisible widget: color box frame-->
					<VirtualBox X="4" Y="4" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_0" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_1" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_2" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_3" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_4" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_5" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_6" File="Image\GK\Theme1\lighting_palette_frame.png"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="4" Y="35" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_7" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_8" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_9" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_10" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_11" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_12" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_13" File="Image\GK\Theme1\lighting_palette_frame.png"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="4" Y="66" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_14" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_15" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_16" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_17" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_18" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_19" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_20" File="Image\GK\Theme1\lighting_palette_frame.png"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="4" Y="97" Width="218" Height="30">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_21" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_22" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_23" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_24" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_25" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_26" File="Image\GK\Theme1\lighting_palette_frame.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_PALETTE_BoxFrame_27" File="Image\GK\Theme1\lighting_palette_frame.png"/>
						</ColumnLayout>
					</VirtualBox>

				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::LightingPaletteDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::LightingPaletteDialog"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GK::LightingPaletteDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::LightingPaletteDialog"/>
			<ExtraConfig>
				<Title>Lighting Palette</Title>
				<Size Width="400" Height="300" Resize="0" NoFrame="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::LightingPaletteDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::LightingUI"/>
            <Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::LightingAvdUI"/>
		</Plugin>
	</ExtensionPoint>
</File>